Bug 1476622 - [abrt] mate-power-manager: gpm_kbd_backlight_on_dbus_signal(): mate-power-manager killed by signal 6
[abrt] mate-power-manager: gpm_kbd_backlight_on_dbus_signal(): mate-power-man...
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: mate-power-manager (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fbd850025348ff0a47df8d982e4...
:
: 1475410 1476802 1480222 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 17:49 EDT by Victor Oliveira
Modified: 2017-08-28 13:55 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.79 KB, text/plain)
2017-07-30 17:49 EDT, Victor Oliveira
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-30 17:49 EDT, Victor Oliveira
no flags Details
File: core_backtrace (14.08 KB, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: cpuinfo (1.52 KB, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: dso_list (8.82 KB, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: environ (1.36 KB, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: maps (44.58 KB, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: open_fds (903 bytes, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-30 17:50 EDT, Victor Oliveira
no flags Details

  None (edit)
Description Victor Oliveira 2017-07-30 17:49:38 EDT
Version-Release number of selected component:
mate-power-manager-1.18.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        mate-power-manager
crash_function: gpm_kbd_backlight_on_dbus_signal
executable:     /usr/bin/mate-power-manager
journald_cursor: s=84b25f6ce4eb49f18ebeab63051500ab;i=1a7ba;b=45ead05ff2454eb480dffc46e909ae2d;m=6d83b1d;t=555549dccc617;x=9301fb33f6db6666
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 Victor Oliveira 2017-07-30 17:49:53 EDT
Created attachment 1306710 [details]
File: backtrace
Comment 2 Victor Oliveira 2017-07-30 17:49:58 EDT
Created attachment 1306711 [details]
File: cgroup
Comment 3 Victor Oliveira 2017-07-30 17:50:00 EDT
Created attachment 1306712 [details]
File: core_backtrace
Comment 4 Victor Oliveira 2017-07-30 17:50:02 EDT
Created attachment 1306713 [details]
File: cpuinfo
Comment 5 Victor Oliveira 2017-07-30 17:50:04 EDT
Created attachment 1306714 [details]
File: dso_list
Comment 6 Victor Oliveira 2017-07-30 17:50:06 EDT
Created attachment 1306715 [details]
File: environ
Comment 7 Victor Oliveira 2017-07-30 17:50:08 EDT
Created attachment 1306716 [details]
File: limits
Comment 8 Victor Oliveira 2017-07-30 17:50:17 EDT
Created attachment 1306717 [details]
File: maps
Comment 9 Victor Oliveira 2017-07-30 17:50:22 EDT
Created attachment 1306718 [details]
File: open_fds
Comment 10 Victor Oliveira 2017-07-30 17:50:27 EDT
Created attachment 1306719 [details]
File: proc_pid_status
Comment 11 Victor Oliveira 2017-07-30 17:50:34 EDT
Created attachment 1306720 [details]
File: var_log_messages
Comment 12 Victor Oliveira 2017-07-31 05:24:47 EDT
Downgrading upower makes mate-power-manager starts normally.
Comment 13 Wolfgang Ulbrich 2017-07-31 06:01:07 EDT
I can't reproduce as my laptop doesn't have keyboard brightness.
But you said with upower-0.99.4-4 all is good?
Comment 14 Victor Oliveira 2017-07-31 06:44:56 EDT
Yes!
I'm using the version written above.
When i update to version 0.99.5-1 the problem filled in this bug appears.
Comment 15 Wolfgang Ulbrich 2017-07-31 07:11:35 EDT
There are signal changes in upower-0.95
https://cgit.freedesktop.org/upower/log/?qt=grep&q=keyboard
As always only added to gnome -_-
https://git.gnome.org/browse/gnome-settings-daemon/log/?qt=grep&q=keyboard

This can take some time until MATE upstream has implement those changes.
Comment 16 Victor Oliveira 2017-07-31 07:15:24 EDT
Ok, i wait the MATE update.
Thanks Wolfgang!
Comment 17 Wolfgang Ulbrich 2017-07-31 09:53:18 EDT
*** Bug 1476802 has been marked as a duplicate of this bug. ***
Comment 18 Wolfgang Ulbrich 2017-08-03 02:20:05 EDT
*** Bug 1475410 has been marked as a duplicate of this bug. ***
Comment 19 strasharo2000 2017-08-04 19:27:05 EDT
Similar problem has been detected:

Initial logon.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        mate-power-manager
crash_function: gpm_kbd_backlight_on_dbus_signal
executable:     /usr/bin/mate-power-manager
global_pid:     2479
kernel:         4.11.12-200.fc25.x86_64
package:        mate-power-manager-1.18.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         mate-power-manager killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 strasharo2000 2017-08-05 06:37:10 EDT
Similar problem has been detected:

Initial logon in mate.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        mate-power-manager
crash_function: gpm_kbd_backlight_on_dbus_signal
executable:     /usr/bin/mate-power-manager
global_pid:     2140
kernel:         4.11.12-200.fc25.x86_64
package:        mate-power-manager-1.18.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         mate-power-manager killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Wolfgang Ulbrich 2017-08-10 09:21:31 EDT
*** Bug 1480222 has been marked as a duplicate of this bug. ***
Comment 23 Paul Jakma 2017-08-13 08:22:49 EDT
This is a pretty serious regression for MATE. The desktop just hangs and is unusable. Probably mystifying for most MATE users. Could this be reverted until it's fixed? If GNOME works with upower 0.99.4 that would be a sensible course of action.
Comment 24 Bond Masuda 2017-08-15 02:48:52 EDT
I'm seeing the same problem on all my Lenovo thinkpads: T420, W530, T460, P50 running Fedora 26 (and 25). Downgrading to upower 0.99.4-2 seems to avoid the problem. I'm blacklisting upower update until this is fixed.
Comment 25 Wolfgang Ulbrich 2017-08-16 10:58:55 EDT
Can someone please test this scratch build?
https://koji.fedoraproject.org/koji/taskinfo?taskID=21264244

This should fix the crash of mate-power-manager but not the wrong dbus signal.
But all other functions of m-p-m should work again than.

(In reply to Paul Jakma from comment #23)
> This is a pretty serious regression for MATE. The desktop just hangs and is
> unusable. Probably mystifying for most MATE users. Could this be reverted
> until it's fixed? If GNOME works with upower 0.99.4 that would be a sensible
> course of action.

You can try to file out a report against upower.
I'd like to see a downgrade too, but i am in doubt the upower/gnome developers will do that for a secondary desktop.
Comment 26 Sam Tygier 2017-08-16 11:12:16 EDT
That seems to fix the crash for me. Now mpm survives unplugging and replugging the power cable, and suspend/resume. Brightness, lock and suspend keys working on thinkpad x230. Thanks.
Comment 27 Fedora Update System 2017-08-16 12:49:14 EDT
mate-power-manager-1.18.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfcc51101d
Comment 28 Bond Masuda 2017-08-16 12:50:53 EDT
(In reply to Fedora Update System from comment #27)
> mate-power-manager-1.18.0-2.fc26 has been submitted as an update to Fedora
> 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfcc51101d

how about Fedora 25? has the same issue... and still have some life left.
Comment 29 Wolfgang Ulbrich 2017-08-16 12:56:36 EDT
Ohh, upower was updated in f25 too?
Comment 30 Bond Masuda 2017-08-16 12:59:50 EDT
(In reply to Wolfgang Ulbrich from comment #29)
> Ohh, upower was updated in f25 too?

i believe so:

$ cat /etc/fedora-release ; rpm -qa upower
Fedora release 25 (Twenty Five)
upower-0.99.5-1.fc25.1.x86_64
Comment 31 Fedora Update System 2017-08-16 13:14:31 EDT
mate-power-manager-1.18.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-837ae487a1
Comment 32 Fedora Update System 2017-08-18 17:53:58 EDT
mate-power-manager-1.18.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-837ae487a1
Comment 33 Fedora Update System 2017-08-19 14:53:10 EDT
mate-power-manager-1.18.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfcc51101d
Comment 34 Dalibor Pospíšil 2017-08-26 11:13:29 EDT
Similar problem has been detected:

After clean installation on ThinkPad x240 a clean user login the crash occures. As a result the screen does not go off after specified time. Also puttin to sleep by pressing a button does not work.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        mate-power-manager
crash_function: gpm_kbd_backlight_on_dbus_signal
executable:     /usr/bin/mate-power-manager
journald_cursor: s=4c0638bbfe3e4643b2cb16c930f5c497;i=451d;b=943370273d0e4a5bb3fbe2a07c08df62;m=17816746b;t=557a95eb0b29b;x=12868cadc92d71b4
kernel:         4.12.8-300.fc26.x86_64
package:        mate-power-manager-1.18.0-1.fc26
reason:         mate-power-manager killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1002
Comment 36 Fedora Update System 2017-08-27 02:23:06 EDT
mate-power-manager-1.18.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2017-08-28 12:19:25 EDT
mate-power-manager-1.18.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 38 Christo Panchev 2017-08-28 13:55:25 EDT
Similar problem has been detected:

After update the mate-power-pannel keeps crashing after initial reboot or manual start. Error msg from command line:
ERROR:gpm-kbd-backlight.c:329:gpm_kbd_backlight_on_dbus_signal: code should not be reached

System: Dell Precision 5510

reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        mate-power-manager
crash_function: gpm_kbd_backlight_on_dbus_signal
executable:     /usr/bin/mate-power-manager
global_pid:     4927
kernel:         4.12.8-200.fc25.x86_64
package:        mate-power-manager-1.18.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         mate-power-manager killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.